Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 1183)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 1184)
@@ -63,6 +63,7 @@
 import org.txm.rcp.editors.TableKeyListener;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.GLComposite;
+import org.txm.rcp.swt.widget.ThresholdsGroup;
 import org.txm.rcp.swt.widget.structures.PropertiesComboViewer;
 import org.txm.rcp.views.QueriesView;
 import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
@@ -144,13 +145,17 @@
 	protected PropertiesComboViewer unitPropertyComboViewer;
 
 	
-	/** The minfreqspinner. */
+	/**
+	 * Minimum frequency filter spinner.
+	 */
 	@Parameter(key=LexicalTablePreferences.F_MIN)
-	protected Spinner fMinFilterSpinner;
+	protected Spinner fMinSpinner;
 
-	/** The top spinner. */
+	/**
+	 * Maximum numbers of lines spinner.
+	 */
 	@Parameter(key=LexicalTablePreferences.V_MAX)
-	protected Spinner vMaxFilterSpinner;
+	protected Spinner vMaxSpinner;
 
 
 	
@@ -214,20 +219,28 @@
 //				public void widgetDefaultSelected(SelectionEvent e) {
 //				}
 //			});
+
 			
-			// Number of lines
-			Label nLines = new Label(extendedParametersArea, SWT.NONE);
-			nLines.setText(TXMCoreMessages.common_numberOfLines);
-			vMaxFilterSpinner = new Spinner(extendedParametersArea, SWT.BORDER);
-			vMaxFilterSpinner.setMinimum(1);
-			vMaxFilterSpinner.setMaximum(9999999);
+			// thresholds
+			ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), SWT.NONE, this, true, false);
+			this.fMinSpinner = thresholdsGroup.getFMinSpinner();
+			this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
+			this.vMaxSpinner.setMinimum(1);
+			thresholdsGroup.getVMaxLabel().setText(TXMCoreMessages.common_numberOfLines);
 			
-			// Fmin
-			Label fmin = new Label(extendedParametersArea, SWT.NONE);
-			fmin.setText(TXMCoreMessages.common_fMin);
-			fMinFilterSpinner = new Spinner(extendedParametersArea, SWT.BORDER);
-			fMinFilterSpinner.setMinimum(1);
-			fMinFilterSpinner.setMaximum(9999999);
+//			// Number of lines
+//			Label nLines = new Label(extendedParametersArea, SWT.NONE);
+//			nLines.setText(TXMCoreMessages.common_numberOfLines);
+//			vMaxSpinner = new Spinner(extendedParametersArea, SWT.BORDER);
+//			vMaxSpinner.setMinimum(1);
+//			vMaxSpinner.setMaximum(9999999);
+//			
+//			// Fmin
+//			Label fmin = new Label(extendedParametersArea, SWT.NONE);
+//			fmin.setText(TXMCoreMessages.common_fMin);
+//			fMinSpinner = new Spinner(extendedParametersArea, SWT.BORDER);
+//			fMinSpinner.setMinimum(1);
+//			fMinSpinner.setMaximum(9999999);
 			
 			
 			// Merge or delete columns button
Index: tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LineLabelProvider.java
===================================================================
--- tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LineLabelProvider.java	(revision 1183)
+++ tmp/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LineLabelProvider.java	(revision 1184)
@@ -162,7 +162,11 @@
 	 * @return the rows
 	 */
 	public List<String> getRows() {
-		// TODO Auto-generated method stub
-		return Arrays.asList(rownames);
+		try {
+			return Arrays.asList(rownames);
+		}
+		catch (Exception e) {
+			return new ArrayList<String>();
+		}
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ThresholdsGroup.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ThresholdsGroup.java	(revision 1183)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ThresholdsGroup.java	(revision 1184)
@@ -27,6 +27,13 @@
 public class ThresholdsGroup extends Group {
 
 	
+	protected Label fMinLabel; 
+	
+	protected Label fMaxLabel;
+	
+	protected Label vMaxLabel;
+	
+	
 	/**
 	 * Minimum frequency filtering spinner.
 	 */
@@ -103,9 +110,9 @@
 		this.setLayout(gridLayout);
 
 		// Fmin
-		Label lFmin = new Label(this, SWT.NONE);
-		lFmin.setText(TXMCoreMessages.common_fMin);
-		lFmin.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+		this.fMinLabel = new Label(this, SWT.NONE);
+		this.fMinLabel.setText(TXMCoreMessages.common_fMin);
+		this.fMinLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
 
 		GridData fieldsGridData = new GridData(GridData.VERTICAL_ALIGN_END);
 		fieldsGridData.minimumWidth = 100;
@@ -119,9 +126,9 @@
 
 		// Fmax
 		if(displayFMax)	{
-			Label lFmax = new Label(this, SWT.NONE);
-			lFmax.setText(TXMCoreMessages.common_fMax);
-			lFmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+			this.fMaxLabel = new Label(this, SWT.NONE);
+			this.fMaxLabel.setText(TXMCoreMessages.common_fMax);
+			this.fMaxLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
 	
 			fMaxSpinner = new Spinner(this, SWT.BORDER);
 			fMaxSpinner.setMinimum(0);
@@ -132,9 +139,9 @@
 		}
 		
 		// Vmax
-		Label lVmax = new Label(this, SWT.NONE);
-		lVmax.setText(TXMCoreMessages.VMAX_1);
-		lVmax.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
+		this.vMaxLabel = new Label(this, SWT.NONE);
+		this.vMaxLabel.setText(TXMCoreMessages.VMAX_1);
+		this.vMaxLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, false));
 
 		vMaxSpinner = new Spinner(this, SWT.BORDER);
 		vMaxSpinner.setMinimum(0);
@@ -182,5 +189,29 @@
 	@Override
 	protected void checkSubclass() {
 	}
+
+
+	/**
+	 * @return the fMinLabel
+	 */
+	public Label getFMinLabel() {
+		return fMinLabel;
+	}
+
+
+	/**
+	 * @return the fMaxLabel
+	 */
+	public Label getFMaxLabel() {
+		return fMaxLabel;
+	}
+
+
+	/**
+	 * @return the vMaxLabel
+	 */
+	public Label getVMaxLabel() {
+		return vMaxLabel;
+	}
 	
 }
Index: tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 1183)
+++ tmp/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 1184)
@@ -247,10 +247,12 @@
 			
 			
 			// advanced parameters
+			// thresholds
 			ThresholdsGroup thresholdsGroup = new ThresholdsGroup(this.getExtendedParametersGroup(), SWT.NONE, this, true, false);
 			this.fMinSpinner = thresholdsGroup.getFMinSpinner();
 			this.fMaxSpinner = thresholdsGroup.getFMaxSpinner();
 			this.vMaxSpinner = thresholdsGroup.getVMaxSpinner();
+			this.vMaxSpinner.setMinimum(1);
 			
 	
 	}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 1183)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/SWTChartsComponentsProvider.java	(revision 1184)
@@ -26,6 +26,7 @@
 import org.eclipse.swt.graphics.Point;
 import org.eclipse.swt.layout.GridData;
 import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Event;
 import org.eclipse.swt.widgets.Group;
 import org.eclipse.swt.widgets.Label;
@@ -936,14 +937,29 @@
 			public void focusLost(FocusEvent e) {
 				// TODO Auto-generated method stub
 				swingComponent.setBorder(javax.swing.BorderFactory.createEmptyBorder());
-				chartEditor.deactivateContext();
+				Display.getDefault().asyncExec(new Runnable() {
+					
+					@Override
+					public void run() {
+						// TODO Auto-generated method stub
+						chartEditor.deactivateContext();						
+					}
+				});
 			}
 			
 			@Override
 			public void focusGained(FocusEvent e) {
 				// TODO Auto-generated method stub
 				swingComponent.setBorder(new LineBorder(Color.red, 1));
-				chartEditor.activateContext();
+				
+				Display.getDefault().asyncExec(new Runnable() {
+					
+					@Override
+					public void run() {
+						// TODO Auto-generated method stub
+						chartEditor.activateContext();						
+					}
+				});
 			}
 		});
 		
